[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.StartHintTimer

Starts the timer for display of a hint message.

## Declaration

Source position: forms.pp line 1586

`protected procedure TApplication.StartHintTimer(`
`Interval: Integer;`
`TimerType: TAppHintTimerType`
`);`

## Arguments

`Interval` |  | Interval (in milliseconds) that the hint timer must wait before executing the OnHintTimer routine. Normally contains the value in HintPause where 500ms is the default.
`TimerType` |  | Contains ahttShowHint in StartHintTimer.

## Description

Called from the ActivateHint method when a hint window is not already active and visible in the application.

## See also

TApplication.Hint |  | The current Hint text active for the application.
TApplication.HintPause |  | The delay before a Hint is shown for a form or control.
TApplication.ActivateHint |  | Configures a hint window for the specified mouse position.
TAppHintTimerType |  | Represents TApplication hint timer states.